package info.aspirecn.iov.sjjh.supplier10000034.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class EnterprisePermitResponseObject {
		/**返回码*/
		private String resultCode;	
		/**返回信息*/
		private String resultMsg;	
		/**当前请求服务端标识,用于唯一标识本次请求*/
		private String traceId;	
		/**返回数据*/
		private EnterpriseResponseChildObject data;	
		
		@Data
		public static class EnterpriseResponseChildObject {
			/**data属性-企业名称*/
			private String enterpriseName;
			/**data属性-组织机构代码*/
			private String organizationCode;
			/**data属性-企业注册地址*/
			private String enterpriseRegistrationAddress;
			/**	data属性-道路运输经营许可证编号*/
			private String permitNumber;
			/**	data属性-企业经营范围*/
			private String businessScope;
			/**	data属性-道路运输经营许可证核发日期*/
			private String permitGrantDate;
			/**data属性-道路运输经营许可证有效期自*/
			private String periodStartDate;
			/**	data属性-道路运输经营许可证有效期至*/
			private String periodEndDate;
			/**	data属性-道路运输经营许可证发证单位*/
			private String certificationUnit;
			/**	data属性-经营状态*/
			private String operatingStatus;
			/**	data属性-备注*/
			private String remark;
		}
		
	}
