package info.aspirecn.iov.sjjh.supplier10000034.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class PersonResponseObject {
		/**返回码*/
		private String resultCode;	
		/**返回信息*/
		private String resultMsg;	
		/**当前请求服务端标识,用于唯一标识本次请求*/
		private String traceId;	
		/**返回数据*/
		private PersonResponseChildObject data;	
		
		@Data
		public static class PersonResponseChildObject {
			/**data属性-人员姓名*/
			private String nameOfPerson;
			/**data属性-性别*/
			private String gender;
			/**data属性-身份证号码*/
			private String identityDocumentNumber;
			/**data属性-从业资格证号*/
			private String qualificationCertificateNumber;
			/**data属性-从业资格类别*/
			private String qualificationCertificateCategoryCode;
			/**data属性-发证机构名称*/
			private String certificationUnit;
			/**data属性-证件初次发放日期（yyyyMMdd）*/
			private String licenseInitialReleaseDate;
			/**	data属性-有效期限开始日期（yyyyMMdd）*/
			private String periodStartDate;
			/**data属性-有效期限结束日期（yyyyMMdd）*/
			private String periodEndDate;
			/**data属性-通讯地址*/
			private String communicationNumber;
			/**data属性-移动电话号码*/
			private String mobileTelephoneNumber;
		}
		
	}
