package info.aspirecn.iov.sjjh.supplier10000034.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

/**
 * 解析车辆请求参数JSON
 * @author lixnxu
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class VehiclePermitJsonResolveObject {
	/**车牌号*/
	@JsonProperty("vehicleNumber")
	private String vehicleNumber;

	/**牌照颜色类型代码*/
	@JsonProperty("licensePlateTypeCode")
	private String licensePlateTypeCode;

	/**道路运输许可证号*/
	@JsonProperty("roadTransportCertificateNumber")
	private String roadTransportCertificateNumber;

	/**有效期起*/
	@JsonProperty("periodStartDate")
	private String periodStartDate;

	/**有效至*/
	@JsonProperty("periodEndDate")
	private String periodEndDate;
	
}