package info.aspirecn.iov.sjjh.supplier10000034;
/**
 * 常量类
 * @author bzh
 *
 */
public class SjjhConstants {
private SjjhConstants() {
		
	}
	/**编码*/
	public static final String PARA_ENCODE  = "UTF-8";
	
	public static final int PARA_ZERO = 0;	
	public static final int PARA_ONE = 1;
	public static final int PARA_TWO = 2;
	public static final int PARA_THREE = 3;
	public static final String PARA_COLOR_ONE = "1";
	public static final String PARA_COLOR_TWO = "2";

	/**返回提示语*/
	public static final String INTERFACE_SUCCESS_TEXT = "查询成功，返回结果";
	public static final String INTERFACE_SUCCESS_NOTEXT = "查询结果为空";
	public static final String QUERY_ERROR_TEXT = "查询错误";
	public static final String INVALID_PARAMETER_CHINESE = "参数不符合规格【只能输入汉字】";
	public static final String INVALID_PARAMETER_NUMBER = "参数不符合规格【只能输入6位数字】";
	public static final String IDCARD_PRACTITIONER_NULL  = "从业人员身份证号和从业资格证号不能同时为空";
	
	/**接口返回码*/
	public static final String RESULT_CODE_0 = "0";//查询成功
	public static final String INTERFACE_CODE_140001 = "140001";//必填参数为空
	public static final String INTERFACE_CODE_110000 = "110000";//查询结果为空
	public static final String INTERFACE_CODE_140002 = "140002";//参数不符合规格[自定义描述]
	public static final String QUERY_NO_RESULT = "查询成功，查无结果";
	public static final String QUERY_RESULT = "查询成功，返回结果";
	/**车辆入网接口返回码*/
	public static final String INTERFACE_CODE_200 = "200";//查询成功
	public static final String INTERFACE_CODE_201 = "201";//查询无结果
	
	/**对比结果是否一致*/
	public static final String UNANIMOUS = "一致";
	public static final String DISACCORD = "不一致";
	public static final String OTHER = "其他";
	
	public static final String NO_VEHICLENUMBER = "车牌号不一致";
	public static final String NO_VEHICLECLASSIFICATION = "车辆类型不一致";
	public static final String NO_VEHICLECORPORATIONNAME = "所有人不一致";
	public static final String NO_BUSINESSSCOPE = "使用性质不一致";
	public static final String NO_VINNO = "车辆识别代号不一致";
	public static final String NO_CERTIFICATIONUNIT = "发证机关不一致";
	public static final String NO_PERIODSTARTDATE = "注册日期不一致";
	public static final String NO_ISSUINGDATE = "发证日期不一致";
	
	/**校验项目类型*/
	public static final String NAMEFOFPERSON = "人员姓名";
	public static final String QUALIFICATIONCERTIFICATENUMBER = "从业资格证号";
	public static final String CARRIER = "企业名称";
	public static final String PERMITNUMBER = "经营许可证号";
	public static final String PERIODDATE = "有效期限";
	
	/** 用于错误返回对象*/
	public static final String ERROR_RETURN_VEHICLENUMBER = "vehicleNumber";
	public static final String ERROR_RETURN_COLOR_CODE = "licensePlateTypeCode";
	public static final String ERROR_RETURN_VIN = "vinNo";
	public static final String ERROR_RETURN_ROADNUMBER = "roadTransportCertificateNumber";
	
	public static final String ERROR_RETURN_ENTNAME = "entName";
	public static final String ERROR_RETURN_PERMITNUMBER = "permitNumber";
	public static final String ERROR_RETURN_PROVINCECODE = "provinceCode";
	
	public static final String ERROR_RETURN_NAMEOFPERSON = "nameOfPerson";
	public static final String ERROR_RETURN_QUALIFICATIONCERTIFICATENUMBER = "qualificationCertificateNumber";
	public static final String ERROR_RETURN_IDENTITYDOCUMENTNUMBER = "identityDocumentNumber";

}
