package info.aspirecn.iov.sjjh.supplier10000034.service;


import javax.servlet.http.HttpServletRequest;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;


/**
 * 运政二期
 * @author bzh
 *
 */
public interface Supplier10000034SecondService {

	/**
	 * 企业道路运输经营许可证核查
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject checkEnterprisePermit(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 人员从业资格证核查
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject checkPersonQualification(HttpServletRequest request, String customBody,
														   int outTime);
	/**
	 * 核查车辆道路运输证信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject checkVehicleRoadTransport(HttpServletRequest request, String customBody, int outTime);
	
}
