package info.aspirecn.iov.sjjh.supplier10000034.service;


import javax.servlet.http.HttpServletRequest;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;


/**
 * 
 * @author bzh
 *
 */
public interface Supplier10000034Service {

	 
	/**
	 * 获取企业信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject queryEnterprise(HttpServletRequest request,String customBody,int outTime);
	/**
	 * 获取企业信息-数据信用
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject queryEnterpriseSjxy(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 获取人员信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject queryPerson(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 获取人员信息-数据信用
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject queryPersonSjxy(HttpServletRequest request, String customBody,
														   int outTime);
	/**
	 * 查询车辆许可证信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
    public ChannelTypeHandleResponseObject checkVehiclePermit(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 查询车辆许可证信息-数据信用
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject checkVehiclePermitSjxy(HttpServletRequest request, String customBody, int outTime);
	/**
	 * 车辆入网核验
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
    public ChannelTypeHandleResponseObject checkVehicleExist(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆入网核验-数据信用
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject checkVehicleExistSjxy(HttpServletRequest request, String customBody, int outTime);
	/**
	 * 超载核验
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
    ChannelTypeHandleResponseObject overloadCheck(HttpServletRequest request, String customBody, int outTime);
}
