package info.aspirecn.iov.sjjh.supplier10000034.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class EnterpriseJsonResolveObject {
	/**企业名称*/
	private String carrier;	
	/**经营许可证号*/
	private String permitNumber;	
	/**期限开始日期（yyyyMMdd）*/
	private String periodStartDate;
	/**期限结束日期（yyyyMMdd）*/
	private String periodEndDate;
	/**六位数省份行政区划代码,后四位0000*/
	private String provinceCode;	
	
}