package info.aspirecn.iov.sjjh.supplier10000034.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class EnterpriseResponseObject {
		/**返回码*/
		private String resultCode;	
		/**返回信息*/
		private String resultMsg;	
		/**当前请求服务端标识,用于唯一标识本次请求*/
		private String traceId;	
		/**返回数据*/
		private EnterpriseResponseChildObject data;	
		
		@Data
		public static class EnterpriseResponseChildObject {
			/**data属性-企业名称*/
			private String enterpriseName;
			/**data属性-企业注册地址*/
			private String enterpriseRegistrationAddress;
			/**data属性-许可证编号*/
			private String permitNumber;
			/**	data属性-经营范围*/
			private String businessScope;
			/**	data属性-许可证发放日期（yyyyMMdd）*/
			private String permitGrantDate;
			/**	data属性-期限开始日期（yyyyMMdd）*/
			private String periodStartDate;
			/**data属性-期限结束日期（yyyyMMdd）*/
			private String periodEndDate;
			/**	data属性-发证单位*/
			private String certificationUnit;
		}
		
	}
