package info.aspirecn.iov.sjjh.supplier10000034.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

/**
 * 解析超载请求参数JSON
 * @author lixnxu
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class OverloadCheckJsonResolveObject {
	/**车牌号*/
	@JsonProperty("vehicleNumber")
	private String vehicleNumber;

	/**牌照颜色类型代码*/
	@JsonProperty("licensePlateTypeCode")
	private String licensePlateTypeCode;

	/**货物毛重*/
	@JsonProperty("vehicleTonnage")
	private String vehicleTonnage;
	
}