package info.aspirecn.iov.sjjh.supplier10000034.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class PersonJsonResolveObject {
	
	/**人员姓名*/
	private String nameOfPerson;	
	/**从业资格证号*/
	private String qualificationCertificateNumber;	
	/**有效期限开始日期（yyyyMMdd）*/
	private String periodStartDate;
	/**有效期限结束日期（yyyyMMdd）*/
	private String periodEndDate;
	/**六位数省份行政区划代码,后四位0000*/
	private String provinceCode;	
	
}